Bug 264124 - upload empty/unnamed tags into Nepomuk
Summary: upload empty/unnamed tags into Nepomuk
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Baloo (show other bugs)
Version: 1.7.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-23 23:37 UTC by Tomas
Modified: 2012-10-17 18:52 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 3.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas 2011-01-23 23:37:45 UTC
Version:           1.7.0 (using KDE 4.5.95) 
OS:                Linux

I have retest this 3 times to be sure it is done by digiKam, since I have had reported this as Nepomuk bug earlier. I do not know what metadata digikam uploads in Nepomuk, but some of them might be in incorrect format or whatever.

Reproducible: Always

Steps to Reproduce:
* check "Store metadata from digiKam in Nepomuk" (Settings/Configure digiKam -> "Metadata" tab/Nepomuk tab)
* Confirm "OK"
Now it is necessary to check how Tags are imported. I used KAddressBook for this.
* open KAddressBook
* edit any Contact
* edit "Category" of the contact

Actual Results:  
* new window is opened with Tags imported from digiKam. At the beginning, Tags are named, but "empty" Tags are imported after a while (close and reopen the Category widow to refresh it).

Expected Results:  
* new window is opened with Tags imported from digiKam. Only Tags used in digiKam should be available.

OS: Linux (i686) release 2.6.35-24-generic
Compiler: cc
Comment 1 Tomas 2011-01-27 01:54:17 UTC
I have retested this to verify the malfunctionality on digiKam 1.8 and KDE 4.6. Unfortunately it is still reproducible as described before.
Comment 2 caulier.gilles 2011-12-15 08:58:23 UTC
Thomas,

It still reproducible with digiKam 2.x serie ?

Gilles Caulier
Comment 3 Gary Waap 2012-05-24 07:49:10 UTC
I have the same problem, created a new user without digikam or any other software than just kontact, but the empty and "nemopuk" tags still invest the tags view.  Thousands of them slowing kontact down to a crawl.
Comment 4 Marcel Wiesweg 2012-10-17 18:44:54 UTC
Git commit b882df3641e6a3b6b0ff35552d1c9cda434e868e by Marcel Wiesweg.
Committed on 17/10/2012 at 18:36.
Pushed by mwiesweg into branch 'master'.

Disable the current implementation of a digikam-nepomuk integration.

By information from the Nepomuk maintainer, the relevant API have been replaced.
Essentially, the current code is at best not functional, at worst polluting your Nepomuk db.
A new implementation needs to be written based on current APIs.
Related: bug 258837, bug 276457, bug 282918, bug 283168, bug 304052, bug 279404, bug 305079

M  +35   -35   CMakeLists.txt
M  +12   -0    utilities/nepomuk/digikamnepomukservice.cpp
M  +13   -0    utilities/nepomuk/digikamnepomukservice.h

http://commits.kde.org/digikam/b882df3641e6a3b6b0ff35552d1c9cda434e868e